package com.keao.edu.user.entity;

import com.keao.edu.user.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.List;

/**
 * 对应数据库表(subject):
 */
public class Subject {

	/**  */
	private Integer id;

	@ApiModelProperty(value = "名称",required = false)
	private String name;

	@ApiModelProperty(value = "code",required = false)
	private String code;

	@ApiModelProperty(value = "父级",required = false)
	private Integer parentSubjectId;

	@ApiModelProperty(value = "父级名称",required = false)
	private String parentName;

	@ApiModelProperty(value = "图片",required = false)
	private String img;

	private java.util.Date createTime;
	
	private java.util.Date updateTime;

	@ApiModelProperty(value = "是否删除",required = false)
	private Boolean delFlag;

	@ApiModelProperty(value = "子节点列表",required = false)
	private List<Subject> subjects;

	private String tenantId;

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public Subject() {
	}

	public Subject(Integer id, String name) {
		this.id = id;
		this.name = name;
	}

	public String getTenantId() {
		return tenantId;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}

	public List<Subject> getSubjects() {
		return subjects;
	}

	public void setSubjects(List<Subject> subjects) {
		this.subjects = subjects;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setCode(String code){
		this.code = code;
	}
	
	public String getCode(){
		return this.code;
	}
			
	public void setParentSubjectId(Integer parentSubjectId){
		this.parentSubjectId = parentSubjectId;
	}
	
	public Integer getParentSubjectId(){
		return this.parentSubjectId;
	}
			
	public void setImg(String img){
		this.img = img;
	}
	
	public String getImg(){
		return this.img;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public Boolean getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(Boolean delFlag) {
		this.delFlag = delFlag;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
